SEND-PR(1)

NAME
send-pr - submit a GNATS Problem Report (PR) to a support site

SYNOPSIS
send-pr
    [ --batch | -b ]
    [ --database=database | -d database ]
    [ --file=file | -f file ]
    [ --print | -p ]
    [ --request-id ]
    [ --severity=severity | -s severity ]
    [ --help | -h ] [ --version | -V ]

DESCRIPTION
send-pr invokes an editor on a problem report template (after trying to fill in some fields with reasonable default values). When you exit the editor, send-pr submits the completed form to the GNATS system at a central support site, either directly over the network to the GNATS server or by e-mail. At the support site, the PR is assigned a unique number and is stored in the GNATS database according to its category and submitter-id. GNATS automatically replies with an acknowledgement, citing the category and the PR number.

To ensure that a PR is handled promptly, it should contain your (unique) submitter-id and one of the available categories to identify the problem area.

The more precise your problem description and the more complete your information, the faster your support team can solve your problems.

Note: use send-pr to submit problem reports rather than mailing them directly. Using both the template and send-pr itself will help ensure that all necessary information will reach the support site.

OPTIONS

-b, --batch
    Suppresses printing of most of the messages that send-pr usually prints while running.

-d database, --database=database
    Specifies the database to which the PR is to be submitted; if no database is specified, the local database named default is assumed. This option overrides the database specified in the GNATSDB environment variable.

-f file, --file=file
    Specifies a file where a completed Problem Report or a PR template exists. send-pr verifies that the contents of the file constitute a valid PR and asks the user whether the PR should be submitted directly or edited first. If the PR text is invalid, the user will be notified and given the option to edit it. If file is set to `-', send-pr reads from standard input.

-p, --print
    Displays the PR template for the specified database, or if the -d or --database options are not specified, print the template for the local database default. No PR is submitted when this option is used.

--request-id
    Sends a request for a Submitter Id to the support site.

-s severity, --severity=severity
    Sets the initial value of the Severity field to severity.

--version, -V
    Displays the version number of the program.

--help, -h
    Prints a brief usage message.

ENVIRONMENT
The environment variable EDITOR specifies the editor to invoke on the template.
default: vi

HOW TO FILL OUT A PROBLEM REPORT
Problem reports have to be in a particular form so that a program can easily manage them. Please remember the following guidelines:

•   describe only one problem with each problem report.

•   For follow-up mail, use the same subject line as the one in the automatic acknowledgent. It consists of category, PR number and the original synopsis line. This allows the support site to relate several mail messages to a particular PR and to record them automatically.

•   Please try to be as accurate as possible in the subject and/or synopsis line.

•   The subject and the synopsis line are not confidential. This is because open-bugs lists are compiled from them. Avoid confidential information there.

See the GNU Info file gnats.info or the document Keeping Track: Managing Messages With GNATS for detailed information on reporting problems.

FILES
/usr/pkg/etc/gnats/gnats/send-pr.conf The send-pr configuration file
$HOME/.send-pr.conf User-specific send-pr configuration file
/tmp/p$$    copy of PR used in editing session
/tmp/pf$$    copy of empty PR form, for testing purposes
/tmp/pbad$$    file for rejected PRs

EMACS USER INTERFACE
An Emacs user interface for send-pr with completion of field values is part of the send-pr distribution (invoked with M-x send-pr). See the file gnats.info in the doc subdirectory of the distribution for configuration, installation and usage information, or see Keeping Track: Managing Messages With GNATS

INSTALLATION AND CONFIGURATION
See gnats.info or INSTALL for installation instructions.

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info)

databases(5), dbconfig(5), delete-pr(8), edit-pr(1) file-pr(8), gen-index(8), gnats(7), gnatsd(8), mkcat(8), mkdb(8), pr-edit(8), query-pr(1), queue-pr(8), send-pr(1).

AUTHORS
Jeffrey Osier, Brendan Kehoe, Jason Merrill, Heinz G. Seidl (Cygnus Support), Yngve Svendsen.

COPYING
Copyright (c) 1992, 1993, 2002, Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.